package com.realnet.order_estimation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.order_estimation.Entity.Order_summary;
import com.realnet.order_estimation.Services.Order_summaryService ;
















@RequestMapping(value = "/token/Order_summary")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Order_summaryController {
	@Autowired
	private Order_summaryService Service;

@Value("${projectPath}")
	private String projectPath;
 
















	@PostMapping("/Order_summary")
		  public Order_summary Savedata(@RequestBody Order_summary data) {
		Order_summary save = Service.Savedata(data)	;















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Order_summary/{id}")
	public  Order_summary update(@RequestBody Order_summary data,@PathVariable Integer id ) {
		Order_summary update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Order_summary/getall/page")
	public Page<Order_summary> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Order_summary> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Order_summary")
	public List<Order_summary> getdetails() {
		 List<Order_summary> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Order_summary")
	public List<Order_summary> getallwioutsec() {
		 List<Order_summary> get = Service.getdetails();		
		return get;
}
@GetMapping("/Order_summary/{id}")
	public  Order_summary  getdetailsbyId(@PathVariable Integer id ) {
		Order_summary  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Order_summary/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

















}